%global altname Grabber

Name:           imgbrd-grabber
Version:        5.0.1
Release:        3%{?dist}
Summary:        Very customizable imageboard/booru downloader with powerful filenaming features. 

License:        ASL 2.0
URL:            https://github.com/Bionus/imgbrd-grabber
Source0:        https://github.com/Bionus/imgbrd-grabber/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}
Patch0:         %{name}-5.0.1-fix-path.patch
Patch1:         %{name}-5.0.1-fix-qscintilla-fedora.patch
Patch2:         %{name}-linux-path.patch
Patch3:         %{name}-5.0.1-desktop.patch

BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  qscintilla-qt5-devel
BuildRequires:  desktop-file-utils

%description
Imageboard/booru downloader which can be used with a great a graphical user 
interface or through command line. It can download thousands of images from 
multiple boorus very easily. One of its main advantage is its very powerful 
naming features: just set your filename and folder using all the tokens 
available and conditionals, and he will generate an image-dependant one.


%prep
%setup -q

# Create necessary files for make, see Bug 1
mv icon.png Grabber.png

# Bug 1: Grabber.png not installed, should be provided upstream
# Bug 2: desktop file should not create a folder inside DATADIR/applications
# Bug 3: icon file should be installed in DATADIR/pixmaps
%patch0 -p1

# Bug 4: Qscintilla is not linked on Fedora 25
%patch1 -p1

# Bug 5: Config path
%patch2 -p1

# Use custom script to copy files on user $HOME.
# Bug 7 - Config should gracefully fallback from previous dir to DATADIR
%patch3 -p1


%build
lupdate-qt5 gui/gui.pro
lrelease-qt5 gui/gui.pro
%{qmake_qt5} PREFIX=%{_prefix} %{altname}.pro
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install INSTALL_ROOT=%{buildroot}
install -m0755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -m0644 languages/*.qm %{buildroot}%{_datadir}/%{altname}/languages


# Remove thing
rm %{buildroot}%{_bindir}/tests


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE NOTICE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{altname}
%{_datadir}/%{altname}
%{_datadir}/applications/%{altname}.desktop
%{_datadir}/pixmaps/%{altname}.png


%changelog
* Tue Jan 10 2017 Dylan Smith <dyskette@gmail.com> - 5.0.1-3
- Fix language and config path

* Sat Jan 07 2017 Dylan Smith <dyskette@gmail.com> - 5.0.1-2
- Add path and qscintilla patches

* Fri Jan 06 2017 Dylan Smith <dyskette@gmail.com> - 5.0.1-1
- First package

